netbeans-netcat mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tushar Joshi <tusharjo...@apache.org>
Subject Re: [news] Welcome to NetCAT 9.0 program!
Date Thu, 15 Jun 2017 11:28:55 GMT
On Thu, Jun 15, 2017 at 4:23 PM, David Salter <davidmsalter@me.com> wrote:

> Building on Java 9 fails for me on Mac OS X 10.12.4
>

What I have seen in many older builds is NetBeans build is supported only
on stable and released Java version.
NetBeans IDE supports latest Java version as a Platform, but the basic
NetBeans IDE build is done on the stable and release java version which in
our case is Java 8

There is a process of shifting the build to new Java version which I
believe is added as a task in the development process later when the Java
release is done for the latest version.

Going by this logic, I will say that the current build will need tweaking
to make it Java 9 build ready.

There are two things in discussion here:

1) Java 9 Support - This is not same as NetBeans building on Java 9.  This
will only mean that we configure Java 9 as a supported platform in NetBeans
(built on Java8 compiler) and then NetBeans will be able to create new
projects in Java 9 and building those new projects in Java 9 platform

2) NetBeans IDE building on Java 9 - here there may be some tweaks needed
to the code where we declare that Java 8 no longer supported for building
NetBeans and shift the building logic altogether to Java 9

So we should be checking Java 9 support by adding Java 9 as a platform
after the NetBeans build is done using Java 8.  This will also mean that
our sysem should have both the Java versions available and installed on them

with regards
    Tushar

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message